Bug 845930 - [abrt] curblaster-1.08-1.fc17: __GI_raise: Process /usr/bin/curblaster was killed by signal 6 (SIGABRT)
[abrt] curblaster-1.08-1.fc17: __GI_raise: Process /usr/bin/curblaster was ki...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: curblaster (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
abrt_hash:62fd201c2314b2dc8598bbe6d46...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-06 03:23 EDT by Jertel
Modified: 2012-08-17 21:23 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-06 10:38:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (35.45 KB, text/plain)
2012-08-06 03:23 EDT, Jertel
no flags Details
File: coredump (820.00 KB, text/plain)
2012-08-06 03:23 EDT, Jertel
no flags Details
File: maps (4.95 KB, text/plain)
2012-08-06 03:23 EDT, Jertel
no flags Details

  None (edit)
Description Jertel 2012-08-06 03:23:14 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        curblaster
comment:        Crashed on start. F17
crash_function: __GI_raise
executable:     /usr/bin/curblaster
kernel:         3.5.0-2.fc17.x86_64
pid:            2707
pwd:            /home/astroe
remote_result:  NOTFOUND
time:           Mon 06 Aug 2012 12:19:41 AM PDT
uid:            1000
username:       astroe

backtrace:      Text file, 36297 bytes
maps:           Text file, 5064 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/astroe/1

core_backtrace:
:f69712fe393313f44607679e934bf5a67f39ec50 0x35925 raise libc.so.6 -
:f69712fe393313f44607679e934bf5a67f39ec50 0x370d8 abort libc.so.6 -
:f69712fe393313f44607679e934bf5a67f39ec50 0x7564b __libc_message libc.so.6 -
:f69712fe393313f44607679e934bf5a67f39ec50 0x1097c7 __fortify_fail libc.so.6 -
:f69712fe393313f44607679e934bf5a67f39ec50 0x107980 __chk_fail libc.so.6 -
:68ae4eaf9df670c90f7d2815538bda5557734658 0x14f0 - [exe] -

dso_list:
:/usr/lib64/libstdc++.so.6.0.17 libstdc++-4.7.0-5.fc17.x86_64 (Fedora Project) 1337719197
:/usr/lib64/libSDL-1.2.so.0.11.3 SDL-1.2.14-16.fc17.x86_64 (Fedora Project) 1343999679
:/usr/lib64/libm-2.15.so glibc-2.15-51.fc17.x86_64 (Fedora Project) 1343997225
:/usr/lib64/libc-2.15.so glibc-2.15-51.fc17.x86_64 (Fedora Project) 1343997225
:/usr/lib64/libncurses.so.5.9 ncurses-libs-5.9-4.20120204.fc17.x86_64 (Fedora Project) 1337719197
:/usr/lib64/libgcc_s-4.7.0-20120507.so.1 libgcc-4.7.0-5.fc17.x86_64 (Fedora Project) 1337719189
:/usr/lib64/libtinfo.so.5.9 ncurses-libs-5.9-4.20120204.fc17.x86_64 (Fedora Project) 1337719197
:/usr/lib64/ld-2.15.so glibc-2.15-51.fc17.x86_64 (Fedora Project) 1343997225
:/usr/lib64/libdl-2.15.so glibc-2.15-51.fc17.x86_64 (Fedora Project) 1343997225
:/usr/lib64/libSDL_mixer-1.2.so.0.12.0 SDL_mixer-1.2.12-3.fc17.x86_64 (Fedora Project) 1344237551
:/usr/bin/curblaster curblaster-1.08-1.fc17.x86_64 (Fedora Project) 1344237555
:/usr/lib64/libpthread-2.15.so glibc-2.15-51.fc17.x86_64 (Fedora Project) 1343997225

environ:
:QT_GRAPHICSSYSTEM_CHECKED=1
:LANG=en_US.utf8
:DISPLAY=:0
:SHLVL=1
:LOGNAME=astroe
:XDG_VTNR=1
:IMSETTINGS_MODULE=none
:XAUTHORITY=/var/run/gdm/auth-for-astroe-jtXpYt/database
:PWD=/home/sexyfishhole
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:XDG_SESSION_ID=1
:DESKTOP_SESSION=gnome
:GDMSESSION=gnome
:USERNAME=sexyfishhole
:GNOME_KEYRING_CONTROL=/run/user/astroe/keyring-Vgth2G
:WINDOWPATH=1
:COLORTERM=gnome-terminal
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-2rcMAnXUah,guid=7aebea3d95d25795982245cb0000001f
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:MAIL=/var/spool/mail/sexyfishhole
:HISTCONTROL=ignoredups
:_=/usr/bin/gnome-session
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GDM_LANG=en_US.utf8
:HOSTNAME=CaucasianGangster
:GJS_DEBUG_OUTPUT=stderr
:SHELL=/bin/bash
:WINDOWID=27262982
:TERM=xterm
:HISTSIZE=1000
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1072,unix/unix:/tmp/.ICE-unix/1072
:SSH_AUTH_SOCK=/run/user/astroe/keyring-Vgth2G/ssh
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/astroe/.local/bin:/home/astroe/bin
:QT_IM_MODULE=xim
:XDG_SEAT=seat0
:HOME=/home/sexyfishhole
:XMODIFIERS=@im=none
:XDG_RUNTIME_DIR=/run/user/sexyfishhole
:GPG_AGENT_INFO=/run/user/sexyfishhole/keyring-Vgth2G/gpg:0:1
:USER=sexyfishhole

event_log:
:2012-08-06-00:20:02> Querying server settings
:2012-08-06-00:20:03  Preparing an archive to upload
:2012-08-06-00:20:04  Uploading 56864 bytes
:2012-08-06-00:20:04  Upload successful
:2012-08-06-00:20:05  Retrace job started
:2012-08-06-00:20:21  Initializing virtual root
:2012-08-06-00:20:33  Initializing virtual root
:2012-08-06-00:20:44  Initializing virtual root
:2012-08-06-00:20:55  Initializing virtual root
:2012-08-06-00:21:08  Initializing virtual root
:2012-08-06-00:21:19  Initializing virtual root
:2012-08-06-00:21:35  Generating backtrace
:2012-08-06-00:21:46  Retrace job finished successfully
:2012-08-06-00:21:58> Smolt profile successfully saved

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 62555                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       62555                62555                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/pts/0
:pos:	0
:flags:	0100002
:1:/dev/pts/0
:pos:	0
:flags:	0100002
:2:/dev/pts/0
:pos:	0
:flags:	0100002
:3:/dev/tty
:pos:	0
:flags:	0104002

smolt_data:
:
:
:General
:=================================
:UUID: c458b350-f7b1-4418-80db-869f25722ef8
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 4988.32
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i5-2450M CPU @ 2.50GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 4
:CPU Speed: 2501
:System Memory: 7840
:System Swap: 7999
:Vendor: Acer
:System: Aspire 5755 V1.17
:Form factor: Notebook
:Kernel: 3.5.0-2.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(5348:5823:4133:1284) pci, None, BASE, N/A
:(32902:7241:4133:1284) pci, None, PCI/ISA, HM65 Express Chipset Family LPC Controller
:(32902:294:4133:1284) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7190:4133:1284) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:4133:1284) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7186:4133:1284) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 2
:(32902:7200:4133:1284) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:7202:4133:1284) pci, None, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(32902:130:32902:4865) pci, iwlwifi, NETWORK, Centrino Advanced-N 6205 AGN
:(5348:5813:4133:1284) pci, tg3, ETHERNET, NetLink BCM57785 Gigabit Ethernet PCIe
:(5348:5820:4133:1284) pci, sdhci-pci, BASE, NetXtreme BCM57765 Memory Card Reader
:(5348:5822:4133:1284) pci, None, BASE, N/A
:(32902:7171:4133:1284) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7213:4133:1284) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7206:4133:1284) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:260:4133:1284) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:4133:1284) pci, mei, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:(4147:404:4133:1284) pci, xhci_hcd, USB, uPD720200 USB 3.0 Host Controller
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda2 / ext4 4096 4096 241899345 63180558 60759548 60538880 60377137 60377137
:/dev/sdb1 WITHHELD fuseblk 4096 4096 244181967 79359996 79359996 317538288 317522012 317522012
:

var_log_messages:
:Aug  6 00:19:15 CaucasianGangster yum[2659]: Installed: curblaster-1.08-1.fc17.x86_64
:Aug  6 00:19:41 CaucasianGangster abrt[2709]: Saved core dump of pid 2707 (/usr/bin/curblaster) to /var/spool/abrt/ccpp-2012-08-06-00:19:41-2707 (839680 bytes)
Comment 1 Jertel 2012-08-06 03:23:18 EDT
Created attachment 602446 [details]
File: backtrace
Comment 2 Jertel 2012-08-06 03:23:27 EDT
Created attachment 602447 [details]
File: coredump
Comment 3 Jertel 2012-08-06 03:23:29 EDT
Created attachment 602448 [details]
File: maps
Comment 4 Gwyn Ciesla 2012-08-06 10:11:30 EDT
Thanks, I've fixed this upstream and an update fixing this is on the way.
Comment 5 Fedora Update System 2012-08-06 10:32:20 EDT
curblaster-1.09-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/curblaster-1.09-1.fc17
Comment 6 Jertel 2012-08-06 10:38:29 EDT
The update fixed it :) Needs to have a tutorial of some sort though :p
Comment 7 Gwyn Ciesla 2012-08-06 10:42:04 EDT
Wouldn't hurt.  There's a man page, but something more in-depth would be nice.  Though, I'm probably not the one to write it.  I wrote the game, but I've never been able to beat it. :)
Comment 8 Jertel 2012-08-06 10:49:25 EDT
lol I don't know why I didn't think of man pages. Is there a forum or someplace more appropriate for this kind of disscussion?
Comment 9 Gwyn Ciesla 2012-08-06 10:52:34 EDT
I didn't enable that on the SF project, though I could.  Email me directly and we can go from there.
Comment 10 Fedora Update System 2012-08-17 21:23:26 EDT
curblaster-1.09-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.